Bug 177168 - Review Request: perl-UNIVERSAL-isa - Hack around module authors using UNIVERSAL::isa as a function
Summary: Review Request: perl-UNIVERSAL-isa - Hack around module authors using UNIVERS...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-01-06 20:30 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 15:05:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-01-06 20:30:00 UTC
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-UNIVERSAL-isa.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-UNIVERSAL-isa-0.05-1.src.rpm

Description:
Whenever you use "isa" in UNIVERSAL as a function, a kitten using
Test::MockObject dies. Normally, the kittens would be helpless, but
if they use UNIVERSAL::isa (the module whose docs you are reading),
the kittens can live long and prosper.

This module replaces UNIVERSAL::isa with a version that makes sure
that if it's called as a function on objects which override isa,
isa will be called on those objects as a method.

In all other cases the real UNIVERSAL::isa is just called directly.


Note: new requirement of perl-Test-MockObject

Comment 1 Paul Howarth 2006-01-31 10:52:58 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package build OK on FC4 (i386) and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, pkgconfigs, or subpackages to worry about
- not relocatable
- no directory ownership or permissions problems
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- scriptlets

Needswork:

- Source URL
http://www.cpan.org/authors/id/id/N/NU/NUFFIN/UNIVERSAL-isa-%{version}.tar.gz
doesn't work - suggest
http://search.cpan.org/CPAN/authors/id/N/NU/NUFFIN/UNIVERSAL-isa-%{version}.tar.gz
instead

Fix that and I'll approve the package.


Comment 2 Jose Pedro Oliveira 2006-01-31 14:30:21 UTC
Paul,

My mistake! There were two "id" directories in the supplied source URL.

New SRPM:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-UNIVERSAL-isa-0.05-2.src.rpm

The specfile link is the same.

jpo

Comment 3 Paul Howarth 2006-01-31 14:37:13 UTC
(In reply to comment #2)
> New SRPM:
> http://gsd.di.uminho.pt/jpo/software/fedora/perl-UNIVERSAL-isa-0.05-2.src.rpm

Approved.

Comment 4 Jose Pedro Oliveira 2006-01-31 15:05:01 UTC
Paul,
Thanks.

Package built for devel.
Pending: FC-4 branch creation.




Note You need to log in before you can comment on or make changes to this bug.